Page MenuHomePhabricator

Build a "Main Page" skeleton/template that projects can copy and reuse
Open, Needs TriagePublicFeature

Description

Currently, we have hundreds of projects that do not have people trained to make a proper homepage. Most of them simply copy the designs proposed by other larger wikis, and adapt them as best they can.

During the makeover project called Desktop-Improvements, no one has considered that the homepage has to be designed. However, a new design needs a new homepage.

The homepage is, despite denials from the redesign team, the most viewed page in any wikimedia project. It is also by far the most viewed single page in most of the world's languages that have an Internet presence. Only a minority of languages have any other website with more views than the main Wikipedia page in their language. The design has to take this into account, and make a proposal in line with the overall proposed design.

This proposal has to be easily exportable to any Wikimedia project that wants to do it, leaving in the hands of those few projects that do have human resources the possibility of making their own designs, however obsolete they may seem to us.

Contrary to what has been proposed so far, this project cannot be postponed until the end of the process. Changing bricks but not thinking that the building needs a door until the end is bad practice. The house may be beautiful inside, but we don't have a door to enter it.

This project should propose a simple, effective design, in line with the aesthetics of the new Vector, scalable and easily copyable, with its own css rules used as templatestyle (bearing in mind that most projects do not have anyone who can change common.css and that WMF does not have the staff to deal with 800 projects individually).

Event Timeline

Theklan triaged this task as High priority.Oct 14 2021, 6:44 PM
Aklapper raised the priority of this task from High to Needs Triage.Oct 14 2021, 6:55 PM
Aklapper changed the subtype of this task from "Task" to "Feature Request".

(For the records, there are some basic docs at https://meta.wikimedia.org/wiki/Small_wiki_toolkits/Starter_kit/Mainpage_customization (unrelated to Desktop Improvements (Vector 2022)) which also might welcome review and expanding.)

Theklan triaged this task as High priority.Oct 14 2021, 7:11 PM

Sure, I'm happy to help in this high priority issue! As fas as I know the WMF has a whole paid design team that should be working on this from the beginning, and I would give advice to them as a volunteer.

(For the records, there are some basic docs at https://meta.wikimedia.org/wiki/Small_wiki_toolkits/Starter_kit/Mainpage_customization (unrelated to Desktop Improvements (Vector 2022)) which also might welcome review and expanding.)

Completely obsolete.

Aklapper raised the priority of this task from High to Needs Triage.EditedOct 14 2021, 7:49 PM

If you don't plan to implement this, then I ask you to leave prioritization to the team that might plan or work on this. Thanks a lot.

Thanks. If I were working on this, I shouldn't say this is of High priority because it should be completed when the project started. Not after we finish it. That's why the priority is high now.

Merging here as this was discussed half a year ago.

(T293470#7768235 might imply this is out of scope for Desktop Improvements (Vector 2022) nowadays; in that case the project tag should be removed.)

Completely obsolete.

@Theklan: Could you please elaborate why? It's hard to improve or fix things without knowing what you're looking for. :)

It has been widely changed since I made the comment: https://meta.wikimedia.org/w/index.php?title=Small_wiki_toolkits/Starter_kit/Main_page_customization&oldid=20229595

Still, all the first part doesn't make any sense, because the width of the front page will be fixed in the future (as there is no proposal to make it interesting, and is treated as a regular article).

I don't see how that "doesn't make any sense" as screen widths can always be less than some "fixed width". Still not sure what you'd like to see.

A proposal. From the design team.

@Theklan: It would be great if you could specifically explain why https://meta.wikimedia.org/wiki/Small_wiki_toolkits/Starter_kit/Main_page_customization "doesn't make sense". I'll write it again: It's hard to improve or fix things without knowing what's wrong with it. Not answering questions is not a good use of anyone's time.
Also, "Create some template to be used for all and any main pages" sounds vastly out of scope for Desktop Improvements (Vector 2022) (which this task is tagged with, not with a "design team" mentioned in the last comment).

If improving the desktop is out of scope for the Desktop Improvements project, then I don't know why we should be discussing this, indeed.

@Theklan I suggest focusing your energy on writing down the potential benefits of an improved main page. You've done a good job outlining why changes to the main page could be impactful: because a lot of people see it every day. So keep going...how will an improved Main page help people who use Wikipedia? What will happen that isn't happening currently? For example:

  • will it bring new readers to Wikipedia?
  • will it make Wikipedia content easier to discover?
  • will it help people better understand how Wikipedia works?
  • will it make people trust Wikipedia more?
  • will it help people be more excited about Wikipedia?

I agree that it would be nice to have a modern looking Main page, but that is true for many pages (History pages, Create account, Login, User contributions, Disambiguation pages, etc.). By itself I don't think it's enough of a reason, so I encourage you to keep going.

As we have said many times now this will not happen as part of the Desktop improvements project. And if you want to just be angry about that, and argue with people, I guess you can spend your time that way instead, but I think it would be more useful to build a strong proposal and hopefully other people will join in with good ideas!

alexhollender_WMF renamed this task from Build a Main Page design proposal that projects can simply copy and reuse to Proposal for an improved Main Page.Mar 18 2022, 6:39 PM
Theklan renamed this task from Proposal for an improved Main Page to Build a Main Page design proposal that projects can simply copy and reuse.EditedMar 18 2022, 9:14 PM

I will start doing the designer's team job later. First I have to read this article: https://en.wikipedia.org/wiki/Cynicism_(contemporary)

@Theklan awesome, the design team needs all the help we can get and we welcome your contributions!

Looking forward to seeing what you come up with.

Let's be clear: is some team in the WMF, in the next year, going to implement ANYTHING related to this? If the answer is yes, then I'm happy to help. If the answer is no, then the answer is evident: I won't waste my time.

Aklapper renamed this task from Build a Main Page design proposal that projects can simply copy and reuse to Build a "Main Page" skeleton/template that projects can copy and reuse.Mar 19 2022, 1:28 PM

@Theklan - we are currently planning our strategy for the upcoming fiscal year. One of the potential directions that we are considering includes looking into improving main pages and home experiences on desktop and mobile. However, we have not yet committed to this path forward. I can update this task once we know more.

Thanks! If there's a way to do this and provide a robust and well designed main page to most of the projects, then count me on. I will wait till your decision, so I don't work on something that will be archived.

English Wikipedia is not our concern here. They have enough people to do whatever they want. The problem is not there. I am still waiting to an answer by @ovasileva about their planning. I think that the planning for the upcoming fiscal year that were doing 3 months ago should be finished by now. Any update would be great.

I'd appreciate less of an "us vs them" attitude. English Wikipedia is maybe not your concern. Still it's a related topic.

I'm not using any "us vs them" attitude. I'm only saying that English Wikipedia is not how to measure the huge necessity of this ticket. They will manage, as most of the big projects do, to have technical and skilled volunteers.

and nobody else before talked about any "measuring"

Why this attitude towards any comment? Is it possible to just collaborate here or anyone who raises a point will be attacked?

As far as I'm aware, there's no precedent for Wikimedia staff to design or implement content pages to be used on the wikis, this has always been the responsibility of each community. I imagine there would be plenty of resistance and resentment if WMF were to come out with a standardized template, to be used everywhere.

I mostly agree with one of the points above, that English Wikipedia has enough people to do whatever they want, or at least they have enough people to more easily accomplish projects that smaller wikis don't have enough people for. Perhaps we can say that T121470: Central Global Repository for Templates, Lua modules, and Gadgets would make the whole problem much simpler, though? If editors on a few big wikis create new Main Page and Portal templates, and they are available in a form that can be easily reused everywhere, then the effort to adapt these designs is greatly reduced. And then smaller wikis still have a choice of how and when to adopt these designs, and can customize appropriately for their particular needs.

As far as I know there's no precedent on that, @awight. Nowadays, most of the wikimedia projects just copy the content and design from other Wikimedia proects (normally the smallest ones from the largest ones) and also copy styles and templates. If WMF proposes a good design with some things that are more than content (for example, most read articles, trending items or things related to the user's editions) most of the small projects could just copy those items/modules.

Let's think out of the box: is not about showing content, is about what kind of content we should encourage to show. And most of them can't be done by ''simple'' users.